%define upstream_name    Bio-Phylo
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Analysis and manipulation of phylogenies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is the base class for the Bio::Phylo package for phylogenetic analysis
using object-oriented perl5. In this file, methods are defined that are
performed by other objects in the Bio::Phylo release that inherit from this
base class (which you normally wouldn't use directly).

For general information on how to use Bio::Phylo, consult the manual (the
Bio::Phylo::Manual manpage).

If you come here because you are trying to debug a problem you run into in
using Bio::Phylo, you may be interested in the "exceptions" system as
discussed in the Bio::Phylo::Util::Exceptions manpage. In addition, you may
find the logging system in the Bio::Phylo::Util::Logger manpage of use to
localize problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc COPYING LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.580.0-7pclos2017
- rebuild against updates

